
SITETB - Bug #150

Historico de tarefas

09/20/2012 03:39 PM - Estefânia Quilma Andrade

Status: Closed Start date: 09/20/2012

Priority: High Due date:  

Assignee: Ricardo Memoria % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente:    

Description

O historico de tarefas não esta apresentando os eventos relacionados ao caso, ex caso Pedro Daniel de Almeida, fiz varias

mudanças no caso (medicação, mudança de classificação) aparecem muito poucas, e o endereço que NÃO modifiquei

History

#1 - 09/25/2012 02:41 PM - Maurício Dos Santos

- Status changed from New to In Progress

- Assignee set to Maurício Dos Santos

- Target version set to Versão atual

#2 - 09/28/2012 02:18 PM - Maurício Dos Santos

- Priority changed from Normal to High

Quilma:

Não esta registrando eventos importantes. Ex caso 6703, o ultimo registro de evento é de 14/04/2012 (modificado dado do caso (?)).

Consta na aba de exames, um resultado de cultura e de TS de 06/08/2012, portanto bem depois do ultimo registro de evento. Não é o unico caso,

mas é o de exemplo.

#3 - 10/01/2012 12:09 PM - Maurício Dos Santos

Pelo o que eu consegui apurar o sistema esta gravando tais modificações no transaction log, porém não exibe na tela de histórico, poelo fato de, no

momento da consulta ele inserir essa condição:

and transactio0_.entityClass='TbCase'

Ela aparece na consulta por conta da linha 47 na classe TransactionLogReport:

"log.entityClass = #{transactionLogReport.entityClass}"

E até onde eu consegui apurar o entityClass do transectionlogreport sempre será TbCase ou o tbcase especializado do país por conta da primeira

linha do método initCaseReport:

public void initCaseReport() {

        entityClass = TbCase.class.getSimpleName();

 

CaseHome caseHome = (CaseHome)Component.getInstance("caseHome");

        if ((caseHome == null) || (!caseHome.isManaged())) {

            entityId = -1;

            return;

        }

 

entityId = caseHome.getInstance().getId();
        iniDate = null;

        endDate = null;

        searchKey = null;

        allResults = true;

    }

 

Posso retirar essa condição? Nesse contexto ela não faz sentido mas fico com receio de isso ser usado em outra parte do sistema...

#4 - 10/01/2012 12:10 PM - Maurício Dos Santos

- Status changed from In Progress to Feedback

- Assignee changed from Maurício Dos Santos to Ricardo Memoria

#5 - 11/26/2012 02:33 PM - Maurício Dos Santos

- Status changed from Feedback to Closed
